com.genesyslab.wfm8.API.service.performance810

## Class SPerfData

- java.lang.Object
- - com.genesyslab.wfm8.API.service.performance810.SPerfData

- All Implemented Interfaces:
    java.io.Serializable

      public class SPerfData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `alert`
    `private static long` | `serialVersionUID`
    `protected double` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPerfData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getValue()` Gets the value value for this SPerfData.
    `int` | `hashCode()`
    `boolean` | `isAlert()` Gets the alert value for this SPerfData.
    `void` | `setAlert(boolean alert)` Sets the alert value for this SPerfData.
    `void` | `setValue(double value)` Sets the value value for this SPerfData.
    `java.lang.String` | `toString()`
    `SPerfData` | `withAlert(boolean value)`
    `SPerfData` | `withValue(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### value

          protected double value

    - #### alert

          protected boolean alert

  - ### Constructor Detail

    - #### SPerfData

          public SPerfData()

  - ### Method Detail

    - #### getValue

          public double getValue()

      Gets the value value for this SPerfData.
      Returns:
        value Interval data value (-1 = no data (empty); -2 = missing record (null))

    - #### setValue

          public void setValue(double value)

      Sets the value value for this SPerfData.
      Parameters:
        `value` - Interval data value (-1 = no data (empty); -2 = missing record (null))

    - #### isAlert

          public boolean isAlert()

      Gets the alert value for this SPerfData.
      Returns:
        alert Alert indicator, "true" - value outside configured deviation settings

    - #### setAlert

          public void setAlert(boolean alert)

      Sets the alert value for this SPerfData.
      Parameters:
        `alert` - Alert indicator, "true" - value outside configured deviation settings

    - #### withValue

          public SPerfData withValue(double value)

    - #### withAlert

          public SPerfData withAlert(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.